/*******************************************************************************
 * FoxReportBugUI generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxReportBugUI extends FoxReportBaseUI within GFxMoviePlayer
    native(UI);

function ei_OnConfirmReport()
{
    local string ReportString;

    ReportString = (("ReportBug: Reason=" @ ReasonTags[ReasonIndex]) $ ":Message=") $ (as_GetBodyText());
    class'GameEngine'.static.GetOnlineSubsystem().StoreInterface.LogClientEvent(2, ReportString);
    CloseReport();
    //return;    
}

function ei_OnCancelReport()
{
    PCOwner.DynamicUI.Menu.CloseReportUIDialog();
    CloseReport();
    //return;    
}

function CloseReport()
{
    // End:0x8C
    if(bInSocialMenu)
    {
        FoxSocialCategorySupport(PCOwner.DynamicUI.Menu.SocialTab.CurrentSocialCategory).RemoteSelectReportBugTab();
    }
    // End:0x96
    else
    {
        as_RemoveReportUI();
    }
    //return;    
}

defaultproperties
{
    ReasonTags(0)="LevelDesign"
    ReasonTags(1)="UI"
    ReasonTags(2)="Localization"
    ReasonTags(3)="Audio"
    ReasonTags(4)="Art"
    ReasonTags(5)="Other"
}